require "NPCs/ZombiesZoneDefinition"
require "Definitions/AttachedWeaponDefinitions"
require "Definitions/HairOutfitDefinitions"

-- My ZombiesZoneDefinitions

local function addMyDefinition()
	if SandboxVars.BigDegens.NeckBeardSpawnRate >= 1 then
		SandboxVars.BigDegens.NeckBeardSpawnRate = toInt(SandboxVars.BigDegens.NeckBeardSpawnRate)
	end
	local Neckbeardspawnchance = SandboxVars.BigDegens.NeckBeardSpawnRate
	ZombiesZoneDefinition = ZombiesZoneDefinition or {Default = {}}; -- if for whatever reason it doesn't exist after requiring the original file
	table.insert(ZombiesZoneDefinition.Default,{name = "Neckbeard", chance=Neckbeardspawnchance, gender="male"});
end
	-- My AttachedWeaponDefinitions
	AttachedWeaponDefinitions = AttachedWeaponDefinitions or {}; -- if for whatever reason it doesn't exist after requiring the original file
	AttachedWeaponDefinitions.DakimakuraInBack = { -- not meeleInBack but our own custom one, thanks for not overwriting
		chance = 100,
		outfit = {"Neckbeard"},
		weaponLocation =  {"Shovel Back"},
		bloodLocations = nil,
		addHoles = false,
		daySurvived = 0,
		weapons = {
		},
	}
	--AttachedWeaponDefinitions.attachedWeaponCustomOutfit = {};
	AttachedWeaponDefinitions.attachedWeaponCustomOutfit.Neckbeard = {
		chance = 100;
		weapons = {
			AttachedWeaponDefinitions.DakimakuraInBack,
		},
	}

	-- My Custon HairOutfitDefinitions
	HairOutfitDefinitions = HairOutfitDefinitions or {haircutOutfitDefinition = {}}; -- if for whatever reason it doesn't exist after requiring the original file
	local cat = {};
	cat.outfit = "Neckbeard";
	cat.haircut = "Recede:50;PonyTail:50";
	cat.beard = "BeardOnly:100";
	table.insert(HairOutfitDefinitions.haircutOutfitDefinition, cat);

	Events.OnInitGlobalModData.Add(addMyDefinition)
